%define date		20181228
%define time		2245
%define tarname		%{name}-snapshot-%{date}-%{time}-stable

%define major		155
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

%define rel	1
%define subrel	1

Name: 		x264
Version: 	0.%{major}
Release: 	%mkrel -c %{date}.stable %{rel}
Summary: 	H264/AVC encoder
License: 	GPLv2+
Group: 		Video/Utilities
URL: 		http://www.videolan.org/developers/x264.html
Source0: 	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/%{tarname}.tar.bz2
Patch1:		x264-use-upstream-opt-level.patch
Patch2:		x264-gpac-link.patch
Patch3:		0001-cli-Fix-linking-with-system-libx264-on-x86.patch

BuildRequires:	ffmpeg-devel
BuildRequires:	git-core
BuildRequires:	pkgconfig(gpac)
BuildRequires:	pkgconfig(x11)
BuildRequires:	nasm

%description
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

This package is in tainted repository as the video encoder may be covered
by software patents.

#------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Shared library of x264
Group:		System/Libraries

%description -n %{libname}
x264 dynamic libraries.

#------------------------------------------------------------------------

%package -n	%{develname}
Summary:	H264/AVC encoding library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%mklibname -d %{name}_ 54

%description -n %{develname}
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

#------------------------------------------------------------------------
%prep
%setup -q -n %{tarname}
perl -pi -e 's|usr/local|usr||g' configure
%patch1 -p0
%patch2 -p1 -b .gpac-link
%patch3 -p1

%build
%configure2_5x \
%ifarch armv5tl
                --disable-asm \
%endif
		--extra-cflags="%{optflags}" \
		--extra-ldflags="%{ldflags}" \
		--enable-shared \
		--enable-lto \
		--system-libx264 \
		--enable-pic

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS doc/*
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/libx264.so.%{major}*

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}*.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Jul 13 2020 daviddavid <daviddavid> 0.155-0.20181228.stable.1.1.mga7
+ Revision: 1605779
- enable properly mp4 support with gpac by link it dynamically (mga#26941)

* Sun Dec 30 2018 wally <wally> 0.155-0.20181228.stable.1.mga7.tainted
+ Revision: 1347148
- replace debian patch with one originally from x264 Sandbox Developement tree git
+ luigiwalser <luigiwalser>
- add patch from debian to fix build
- new snapshot 20181228 (major is now 155)

* Fri Sep 21 2018 umeabot <umeabot> 0.152-0.20180422.stable.3.mga7.tainted
+ Revision: 1292156
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 wally <wally> 0.152-0.20180422.stable.2.mga7.tainted
+ Revision: 1260114
- rebuild for aarch64

* Mon Apr 23 2018 zezinho <zezinho> 0.152-0.20180422.stable.1.mga7.tainted
+ Revision: 1221702
- new version major 152

* Wed Mar 08 2017 akien <akien> 0.148-0.20170120.stable.5.mga6.tainted
+ Revision: 1090274
- Rebuild for ffmpeg 3.2.4
+ zezinho <zezinho>
- rebuild for tainted ffmpeg 3.2.x

* Sat Jan 21 2017 zezinho <zezinho> 0.148-0.20170120.stable.3.mga6.tainted
+ Revision: 1082689
- new version 20170120
- updated cflags patch

* Sun Mar 20 2016 wally <wally> 0.148-0.20160117.stable.3.mga6.tainted
+ Revision: 993086
- disable asm on armv5tl

* Sun Mar 20 2016 wally <wally> 0.148-0.20160117.stable.2.mga6.tainted
+ Revision: 993076
- rebuild for arm

* Mon Jan 18 2016 luigiwalser <luigiwalser> 0.148-0.20160117.stable.1.mga6.tainted
+ Revision: 925591
- new snapshot 20160117 (major is now 148)

* Sat Nov 15 2014 cjw <cjw> 0.142-0.20140831.stable.4.mga5.tainted
+ Revision: 797307
- rebuild for ffmpeg 2.4
- patch2: fix linking against gpac (static library)
- drop non-existing configuration option
- build the x264 tool against the libx264 shared library

* Wed Oct 15 2014 umeabot <umeabot> 0.142-0.20140831.stable.3.mga5.tainted
+ Revision: 742610
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.142-0.20140831.stable.2.mga5.tainted
+ Revision: 690533
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.142-0.20140831.stable.1.mga5.tainted
+ Revision: 670579
- new snapshot 20140831

* Sun Mar 30 2014 daviddavid <daviddavid> 0.142-0.20140329.stable.1.mga5.tainted
+ Revision: 610444
- disable static libs (Mageia don't want these)
- update URL
- prefer use pkgconfig on BR
- new snapshot 20140329 (major is now 142)

* Mon Feb 17 2014 luigiwalser <luigiwalser> 0.140-0.20140216.stable.1.mga5.tainted
+ Revision: 593263
- new snapshot 20140216 (major is now 140)

* Thu Oct 31 2013 tmb <tmb> 0.133-0.20130823.stable.2.mga4.tainted
+ Revision: 548293
- Mageia 4 rebuild

* Sat Aug 24 2013 luigiwalser <luigiwalser> 0.133-0.20130823.stable.1.mga4.tainted
+ Revision: 470942
- new snapshot 20130823 (major is now 133)

* Tue Aug 13 2013 fwang <fwang> 0.130-0.20130615.stable.4.mga4.tainted
+ Revision: 466084
- rebuild for new ffmpeg

* Mon Jun 17 2013 luigiwalser <luigiwalser> 0.130-0.20130615.stable.3.mga4.tainted
+ Revision: 443855
- new snapshot 20130615 (major is now 130)

* Mon Jan 14 2013 umeabot <umeabot> 0.125-0.20120914.stable.3.mga3.tainted
+ Revision: 386403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.125-0.20120914.stable.2.mga3.tainted
+ Revision: 341769
- update rpm group
- rebuild for new ffmpeg

* Sat Sep 15 2012 fwang <fwang> 0.125-0.20120914.stable.1.mga3.tainted
+ Revision: 294210
- new snapshot

* Wed Mar 07 2012 anssi <anssi> 0.120-0.20120306.stable.1.mga2.tainted
+ Revision: 221318
- new snapshot
- switch to stable branch

* Wed Jan 11 2012 luigiwalser <luigiwalser> 0.120-0.20111212.2.mga2.tainted
+ Revision: 194833
- use configure2_5x macro
- don't override upstream optimization level -O3

* Tue Dec 13 2011 fwang <fwang> 0.120-0.20111212.1.mga2.tainted
+ Revision: 181275
- new major
- use master
- new snapshot 20111212

* Fri Jun 24 2011 fwang <fwang> 0.115-0.20110623.1.mga2.tainted
+ Revision: 112932
- build static libs
- new snapshot required by ffmpeg 0.8

* Sat May 07 2011 mikala <mikala> 0.110-0.20101203.2.mga1
+ Revision: 95796
- Clean Spec
- Remove plf reference
- imported package x264


* Sat Dec  4 2010 Götz Waschk <goetz@zarb.org> 0.110-0.20101203.1plf2011.0
- update build deps
- remove old configure options
- new major
- new version

* Wed May  5 2010 Götz Waschk <goetz@zarb.org> 0.94-0.20100504.1plf2010.1
- new version numbering schema
- new major
- new snapshot

* Sat Jan 23 2010 Götz Waschk <goetz@zarb.org> 0.83.2245-1plf2010.1
- new major
- new snapshot

* Wed Dec  9 2009 Götz Waschk <goetz@zarb.org> 0.79.2245-1plf2010.1
- new major
- new version

* Sat Nov  7 2009 Götz Waschk <goetz@zarb.org> 0.78.2245-1plf2010.1
- new major
- new version

* Sun Oct 12 2008 Götz Waschk <goetz@zarb.org> 0.65.2245-1plf2009.1
- new major
- new version

* Thu Apr 24 2008 Götz Waschk <goetz@zarb.org> 0.59.2245-1plf2009.0
- update license tag
- fix buildrequires
- new major
- new version

* Wed Jan  2 2008 Götz Waschk <goetz@zarb.org> 0.57.714-1plf2008.1
- new major
- new version

* Fri Oct 12 2007 Götz Waschk <goetz@zarb.org> 0.56.680-1plf2008.1
- new devel name
- new major
- new snapshot

* Thu Jan  4 2007 Götz Waschk <goetz@zarb.org> 0.54.616-1plf2007.1
- new snapshot

* Wed Oct 18 2006 Götz Waschk <goetz@zarb.org> 0.54.594-1plf2007.1
- new major
- new version

* Sun Sep 03 2006 Anssi Hannula <anssi@zarb.org> 0.50.558-2plf2007.0
- fix buildrequires

* Tue Aug 29 2006 Götz Waschk <goetz@zarb.org> 0.50.558-1plf2007.0
- new major
- new  snapshot

* Fri Jun 30 2006 Austin Acton <austin@zarb.org> 0.47.533-1plf
- new checkout
- get rid of usr/local
- enable visualize
- enable mp4 through gpac

* Mon Apr 24 2006 Austin Acton <austin@zarb.org> 0.46.511-1plf
- new checkout
- PLF reason
- URL

* Thu Mar 23 2006 Götz Waschk <goetz@zarb.org> 0.45.478-2plf
- fix symlink

* Wed Mar 22 2006 Austin Acton <austin@zarb.org> 0.45.478-1plf
- new checkout
- build shared library

* Mon Jan 23 2006 Austin Acton <austin@zarb.org> 0.44.409-1plf
- use version number from config.h
- new checkout

* Tue Nov 22 2005 Austin Acton <austin@zarb.org> 0-0.375.1plf
- svn 375
- add pkgconfig file
- PIC patch seems to have been applied upstream

* Thu Nov 10 2005 Anssi Hannula <anssi@zarb.org> 0-0.364.2plf
- fix x86_64 asm to be PIC (patch2)
- dropped patch1, upstream

* Tue Nov 1 2005 Austin Acton <austin@zarb.org> 0-0.364.1plf
- svn 364
- enable threads

* Thu Oct  6 2005 Anssi Hannula <anssi@zarb.org> 0-0.315.1plf
- new snapshot
- x86_64 fixes (patch1)

* Sat Sep 24 2005 Stefan van der Eijk <stefan@zarb.org> 0-0.293.2plf
- BuildRequires

* Mon Sep 19 2005 Götz Waschk <goetz@zarb.org> 0-0.293.1plf
- new snapshot

* Tue Sep  6 2005 Götz Waschk <goetz@zarb.org> 0-0.291.1plf
- initial package
